@import "../helpers/variables";
@import "../helpers/mixins";
@import "../base/reset";
@import "../layouts/header";
@import "../layouts/footer";

.carousel {
    .content {
        display: grid;
        grid-template-columns: 1fr 1fr;

        .title {
            padding: $sp-30 $sp-5;

            h1 {
                font-size: $text-base;
                color: $c0;
            }

            h3 {
                font-size: $text-2xl;
            }
        }
    }

    @media screen and (max-width:1200px) {}

    @media screen and (max-width:992px) {
        .content {
            grid-template-columns: 1fr;
        }


    }

    @media screen and (max-width:768px) {
        .content {
            grid-template-columns: 1fr;
        }
    }

    @media screen and (max-width:577px) {
        .content {
            grid-template-columns: 1fr;

            .title {
                padding: $sp-20 $sp-5;

                h3 {
                    font-size: $text-xl;
                }
            }

            .active img {
                width: 100%;
            }
        }


    }
}

.team {
    .background img {
        width: 100%;
        margin: -5px 0px;
    }

    .list {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-gap: $sp-7;
        background-color: $c6;
        padding-left: $sp-9;
        padding-right: $sp-9;

        .item {
            border: 1px $c5;
            border-radius: $sp-2;
            margin-bottom: $sp-8;
            background-color: $c5;
            overflow: hidden;
            animation: fadeInTop 0.3s linear 0s;
            transform: translateY(-100%);
            animation-fill-mode: both;
            opacity: 1;

            &:hover {
                transition: 0.8s;
                box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
            }

            img {
                width: 100%;
                border-radius: $sp-2;
                transition-duration: 1.2s;

                &:hover {
                    transform: scale(1.2);
                }
            }

            .name {
                h1 {
                    color: $c0;
                    font-size: $text-xs;
                    margin-top: $sp-4;
                    text-align: center;
                    font-weight: $font-semibold;
                }

                h2 {
                    color: $c1;
                    font-size: $text-md;
                    font-weight: $font-bold;
                    text-align: center;
                    padding: $sp-4 0px;
                }

                p {
                    text-align: center;
                    padding: $sp-5 0px;
                    font-size: $text-base;
                    line-height: $sp-7;

                }
            }
        }

        .item-1 {
            animation-delay: 0.2s;
        }

        .item-2 {
            animation-delay: 0.4s;
        }

        .item-3 {
            animation-delay: 0.6s;
        }

        .item-4 {
            animation-delay: 0.8s;
        }

        .item-5 {
            animation-delay: 1s;
        }

        .item-6 {
            animation-delay: 1.2s;
        }

        .item-7 {
            animation-delay: 1.4s;
        }

        .item-8 {
            animation-delay: 1.6s;
        }

    }

    @media screen and (max-width:1200px) {}

    @media screen and (max-width:992px) {
        .list {
            grid-template-columns: 1fr 1fr;
        }
    }

    @media screen and (max-width:768px) {
        .list {
            grid-template-columns: 1fr 1fr;
        }
    }

    @media screen and (max-width:577px) {
        .background img {
            width: 100%;

            .list {
                display: block;
            }
        }

    }
}

.form {
    .contact {
        display: grid;
        grid-template-columns: 1fr 1fr;

        .info {
            border: 1px solid $c3;
            border-radius: $sp-3;
            overflow: hidden;
            margin: $sp-13 $sp-16;
            padding: $sp-10 0px;
            background-color: $c5;
            box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;

            .titleinfo h1 {
                text-align: center;
            }

            form {
                .contact__form {
                    margin: $sp-7 $sp-5;
                    padding-left: $sp-6;
                    padding-right: $sp-6;

                    .name-mail {
                        display: flex;
                        width: 100%;

                        .name {
                            input {
                                @include input ();
                            }

                            i {
                                @include i ();
                            }
                        }

                        .email {
                            input {
                                @include input ();
                            }

                            i {
                                @include i ();
                            }
                        }
                    }

                    i {
                        position: absolute;
                        margin: $sp-3 $sp-2;
                        color: $c0;
                    }

                    select {
                        padding: $sp-3 $sp-7;
                        border: 1px solid $c7;
                        border-radius: $sp-4;
                        width: 100%;
                    }

                    textarea {
                        width: 100%;
                        border: 1px solid $c7;
                        border-radius: $sp-1;
                    }

                    button {
                        @include buttonStyle();
                        color: $c3;
                        background-color: $c0;

                        &:hover {
                            background-color: $c3;
                            color: $c0;
                        }
                    }
                }
            }
        }
    }

    @media screen and (max-width:1200px) {}

    @media screen and (max-width:992px) {
        .contact {
            grid-template-columns: 1fr;
        }
    }

    @media screen and (max-width:768px) {
        .contact {
            grid-template-columns: 1fr;
        }

        .inner img {
            width: 100%;
        }
    }

    @media screen and (max-width:577px) {
        .contact {
            grid-template-columns: 1fr;

            .inner img {
                width: 100%;
            }
        }
    }
}

@keyframes fadeInTop {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}